import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { Target } from '../../model';

export interface State {
  error: RPCClientError | null;
  pending: boolean;
  target: Target | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  target: null,
};
